using Godot;

namespace Newlon.Components.Plants;

public partial class PlantEyesightLimiter : CollisionShape2D
{
    public override void _Process(double delta)
    {
        if (Shape is SegmentShape2D segment)
        {
            segment.B = new Vector2(Utility.RightFieldBoundary.X - GlobalPosition.X+Utility.TileWidth/2.0f, 0);
        }
    }
}